Comment
Post a comment GA
POST
Posts a comment on a model version. A comment can be submitted either by a user or programmatically to display relevant information about the model. For example, test results or deployment errors.
API scopes: mlflow
Request body
- namestring[ 1 .. 100 ] charactersRequired
Name of the model.
- versionstringRequired
Version of the model.
- commentstring[ 1 .. 65535 ] charactersRequired
User-provided comment on the action.
Response
- commentobject
New comment object
Show child attributesHide child attributes
- creation_timestampint64
Creation time of the object, as a Unix timestamp in milliseconds.
- user_idstringemail
The username of the user that created the object.
- activity_typestring
Type of activity. Valid values are:
-
APPLIED_TRANSITION: User applied the corresponding stage transition. -
REQUESTED_TRANSITION: User requested the corresponding stage transition. -
CANCELLED_REQUEST: User cancelled an existing transition request. -
APPROVED_REQUEST: User approved the corresponding stage transition. -
REJECTED_REQUEST: User rejected the coressponding stage transition. -
SYSTEM_TRANSITION: For events performed as a side effect, such as archiving existing model versions in a stage.
APPLIED_TRANSITIONREQUESTED_TRANSITIONCANCELLED_REQUESTAPPROVED_REQUESTREJECTED_REQUESTNEW_COMMENTSYSTEM_TRANSITION
-
- commentstring[ 1 .. 65535 ] characters
User-provided comment associated with the activity, comment, or transition request.
- last_updated_timestampint64
Time of the object at last update, as a Unix timestamp in milliseconds.
- from_stagestring
Source stage of the transition (if the activity is stage transition related). Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- to_stagestring
Target stage of the transition (if the activity is stage transition related). Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- system_commentstring
Comment made by system, for example explaining an activity of type
SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.
- available_actionsarray of string
Array of actions on the activity allowed for the current viewer.
APPROVE_TRANSITION_REQUESTREJECT_TRANSITION_REQUESTCANCEL_TRANSITION_REQUESTEDIT_COMMENTDELETE_COMMENT
- idstringuuid
Unique identifier for the object.
Update a comment GA
PATCH
Post an edit to a comment on a model version.
API scopes: mlflow
Request body
- idstringuuidRequired
Unique identifier of an activity
- commentstring[ 1 .. 65535 ] charactersRequired
User-provided comment on the action.
Response
- commentobject
Updated comment object
Show child attributesHide child attributes
- creation_timestampint64
Creation time of the object, as a Unix timestamp in milliseconds.
- user_idstringemail
The username of the user that created the object.
- activity_typestring
Type of activity. Valid values are:
-
APPLIED_TRANSITION: User applied the corresponding stage transition. -
REQUESTED_TRANSITION: User requested the corresponding stage transition. -
CANCELLED_REQUEST: User cancelled an existing transition request. -
APPROVED_REQUEST: User approved the corresponding stage transition. -
REJECTED_REQUEST: User rejected the coressponding stage transition. -
SYSTEM_TRANSITION: For events performed as a side effect, such as archiving existing model versions in a stage.
APPLIED_TRANSITIONREQUESTED_TRANSITIONCANCELLED_REQUESTAPPROVED_REQUESTREJECTED_REQUESTNEW_COMMENTSYSTEM_TRANSITION
-
- commentstring[ 1 .. 65535 ] characters
User-provided comment associated with the activity, comment, or transition request.
- last_updated_timestampint64
Time of the object at last update, as a Unix timestamp in milliseconds.
- from_stagestring
Source stage of the transition (if the activity is stage transition related). Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- to_stagestring
Target stage of the transition (if the activity is stage transition related). Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- system_commentstring
Comment made by system, for example explaining an activity of type
SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.
- available_actionsarray of string
Array of actions on the activity allowed for the current viewer.
APPROVE_TRANSITION_REQUESTREJECT_TRANSITION_REQUESTCANCEL_TRANSITION_REQUESTEDIT_COMMENTDELETE_COMMENT
- idstringuuid
Unique identifier for the object.